summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/sets/0026named_limit_0
diff options
context:
space:
mode:
authorVarsha Rao <rvarsha016@gmail.com>2017-11-19 18:04:32 +0530
committerPablo Neira Ayuso <pablo@netfilter.org>2017-11-20 14:29:08 +0100
commitb59e461231ca5bedfd0ebd1fdd4da4cc961b1b60 (patch)
tree3b5874d4581516ccc3318761578767a002a307ce /tests/shell/testcases/sets/0026named_limit_0
parentec6c89abda09c5d54e60dac2673308fad5873541 (diff)
tests: shell: Rename 0025named_limit_0 to 0026named_limit_0
This renames file 0025named_limit_0 to 0026named_limit_0, there is already a test whose prefix is 0025. Signed-off-by: Varsha Rao <rvarsha016@gmail.com> Signed-off-by: Pablo Neira Ayuso <pablo@netfilter.org>
Diffstat (limited to 'tests/shell/testcases/sets/0026named_limit_0')
-rwxr-xr-xtests/shell/testcases/sets/0026named_limit_027
1 files changed, 27 insertions, 0 deletions
diff --git a/tests/shell/testcases/sets/0026named_limit_0 b/tests/shell/testcases/sets/0026named_limit_0
new file mode 100755
index 00000000..91553f34
--- /dev/null
+++ b/tests/shell/testcases/sets/0026named_limit_0
@@ -0,0 +1,27 @@
+#!/bin/bash
+
+# This is the testscase:
+# * creating valid named limits
+# * referencing them from a valid rule
+
+tmpfile=$(mktemp)
+if [ ! -w $tmpfile ] ; then
+ echo "Failed to create tmp file" >&2
+ exit 0
+fi
+
+trap "rm -rf $tmpfile" EXIT # cleanup if aborted
+
+echo "
+table ip filter {
+ limit http-traffic {
+ rate 1/second
+ }
+ chain input {
+ type filter hook input priority 0; policy accept;
+ limit name tcp dport map { 80 : "http-traffic", 443 : "http-traffic"}
+ }
+}" > $tmpfile
+
+set -e
+$NFT -f $tmpfile